const { environment } = require('@rails/webpacker');
const vue =  require('./loaders/vue');
const svg =  require('./loaders/svg');

environment.loaders.append('vue', vue);
environment.loaders.append('svg', svg);

const fileLoader = environment.loaders.get('file');
fileLoader.exclude = /\.(svg)$/i;

module.exports = environment;
